ArepitaDePernil's blog

By ArepitaDePernil, history, 5 years ago, In English

Hello , lets say I want to overload a SET so when I use set.count() or set.find() it follows some rules, for example given a set of pairs:

{1,2} {3,4} {1,4} ...

If it says pair A and B are equivalent if A.y < B.x or A.x > B.y , how could I overload such a function? since I tried using "==" and "<" with no success :(

Full text and comments »

By ArepitaDePernil, history, 5 years ago, In English

Hello I am trying to find these problems to do submissions on them since I didn't participate on the contest

These are the problems

I think they are fairly easy but there is a couple of them that catched my attention, which are A,B,C,F,G, and I

Do you know which contest or contests are they from? so I can at least check my solution against the hidden test cases? or if they are on an OJ , since I tried to find them and I couldn't maybe my way of searching isn't the best, if you can give me tips on how to search problems that would be really nice too, best regards to you!!! :)

Full text and comments »

  • Vote: I like it
  • +9
  • Vote: I do not like it

By ArepitaDePernil, history, 7 years ago, In English

Hello, for some reason i can't add new friends, they appear as already added (full golden star) and can't add them also i can't remove old friends, anyone else is facing this issue?

Full text and comments »

  • Vote: I like it
  • -11
  • Vote: I do not like it

By ArepitaDePernil, history, 7 years ago, In English

Well hello there, i just want to start with that i am really sad about this situation and want to let you know guys about it, so i don't usually compete in Codeforces since i like ACM format better , however since i want to be a better coder as an individual i decided to push myself into Codeforce's contests in a schedule basis, so i would compete in every contest i could while solving problems in the platform to see how much i can push myself to accomplish my goal which right now is be a way better coder than i am right now.

My situation is as follows, in Codeforces Round 381 (Div. 2) i did a good perfomance solving problem A (which gave me RTE in post tests) and B, i couldn't find a way to solve problem C, however i found out problem D was exactly a problem i already solved, so i decided to just copy and paste my code (since it didn't even had any twists) obviously this solution was AC. I was pumped since i could see my graph go a little bit up, after a while i got "skipped" in the contest. So obviously i was being targeted as a cheater, guilty before proven innocent i guess. Well after that and multiple talks with MikeMirzayanov he told me that me and multiple other users were going to get those stats reversed if we did nothing wrong, well for me nothing happened, i guessed maybe copying and pasting a code that is mine is against the rules.

Here is the comment i posted on that contest forum: http://codeforces.com/blog/entry/48547?#comment-326625

Long story short i didn't get my stats reversed, and this shady user named _underr had indeed messed with a lot of people. I decided to just keep going with my life and prepare to the new contest.

So new contest arrived: Codeforces Round 382 (Div. 2) , i solved only two problems A and B, since C and D were kinda mathy and i was more than happy to see simple problems crush me so i can be better, i decided to give them a try in upsolving. But guess what? my entire participation in this contest was once again "Skipped", i think there is a guy with a multiaccount just copying and pasting people submissions in their room in another account so they can rise up in ranking. This issue is huge and i am having a really bad time with it since i can't follow up my progress on the page because everytime i am participating i am getting flagged as a cheater.

I just did this to say to the people that is having this issue that is not only happening to them, and let the community know what is happening, i have never cheated on a contest in my life and i usually look up for the outline instead of the code if i can't solve the problem, i really want to get better and of course that goal would be impossible if i cheat.

Thanks for reading and i hope this time this situation is addressed as it should be, best regards.

Edit: I believe i found out the problem, since i was coding in ideone probably there is someone just sitting there waiting for codes to pop up and copy/paste them, can you recommend me a simple IDE for problem solving on windows? i tried geany once and didn't work well but maybe i was a bit lazy with it, i don't want this to keep happening.

Full text and comments »

  • Vote: I like it
  • +40
  • Vote: I do not like it

By ArepitaDePernil, history, 8 years ago, In English

Greetings, we are a group of coaches in Venezuela that are very interested in taking our contestants to the next level in terms of competitive programming, a couple months ago we got invited to the Brazilian training camp, however due to economical issues in our country the trip was cancelled, however we don't want to give up on this matter and certainly don't want to fall behind the rest of Latin America. So we are looking for 1 or 2 people that would want to come here to do a training camp from March 14 til March 28, we want to be this camp at the level of an european regional contest.

We are willing to pay:
-Transportation from your country to ours and back.
-Transportation from the airport to the hotel and back.
-Hotel.
-Food.
-Transportation from hotel to the training site and back.

If you are interested and want specific details please contact one of our coaches:
-Venezuelan ACM Manager and international representative Trino Gomez([email protected])
-UCV Coach Héctor Navarro ([email protected])
-USB Coach Ricardo Monascal ([email protected])

We already did a training camp introducing the basics about:
-DP
-Graphs
-Trees
-Data Structures
-C++ STL
-String algorithms
-Greedy
-Maxflow
-Math
-Geometry

Thanks for reading :), hope to hear from many of you!

Full text and comments »

  • Vote: I like it
  • +51
  • Vote: I do not like it

By ArepitaDePernil, history, 9 years ago, In English

Hello, i am strugling to understand how this problem is solved, in the outlines from CERC 2011 , it states that we need to find maximum matching, and then calculate the maximum matching without starting node, and then find an augmenting path.

I have an idea of why they use this tactic to tackle the problem, however i don't understand how you find an augmenting path without an especific sink, also i would like some clarification since this outline is pretty confusing, especially when they say: "starting in an unmatched node = lose" , but then they state that you need the augmenting path. Can anybody explain this solution to me? i am pretty ok with networkflows, so i think i can understand it if somebody explains it to me, i am aware this problem is like top hard problem in that contest, however i am pretty interested in it. Thanks a lot :)!

Full text and comments »

By ArepitaDePernil, 9 years ago, In English

Hello i am having troubles with this problem, i am getting w.a and i really don't know what else to modify, so if you guys can help me that would be great, ill explain what i do in my solution

1- I construct a graph with edges between teleporters, ends of segments, the start position and the end position, (the weight of this edge is the euclid distance) and an edge connects 2 points if there is no line segment (excluding end and start points)

2- I run a dijkstra [N_points][N_teleporters] , if i find a teleporter i can move to other connected teleporters with 0 cost.

3- i use the function round(A) in the answer

i don't know if my solution is ok, or it needs some other thing, here is my code for more detail about my actual solution:

http://pastie.org/private/7fkh9k8ngg6ue940phydq

Thanks a lot!

Full text and comments »

By ArepitaDePernil, 9 years ago, In English

Hello i have solved this problem kind of the same way i solved UVA 10003 — Cutting Sticks , after solving Cutting Sticks i did some research and find out about the Knuth-Yao optimization, even if i did not understand the code as a whole, i knew the basic condition and the answer, so i just plugged and played the code and got a very fast accepted con Cutting Sticks. As UVA 10688- The Poor Giant can be solve in a similar way to Cutting Sticks and obviously the condition dp[a][b-1]<=dp[a][b]<=dp[a+1][b] holds , can somebody tell me a way to manipulate the knuth-yao basic code to give right answer to this problem? :)

Of course a little explanation about the main Knuth-Yao code will also help a lot , thanks !!!

Full text and comments »

By ArepitaDePernil, 9 years ago, In English

Hello, i have been trying to solve this problem for quite a while, i am aware this is kind of a standar geometry/counting problem. However the logic behind the solutions i read its pretty unclear to me, and since there is not outline at all, i decided to ask for the help of the CF community.

Ok, so instead of dropping the link to the statement i'll explain the problem, you are given a set of points (which are less than 1000 points), your task is to tell in how many ways you can combine those points to make an isosceles triangle (no three points are collinear) . I have found many problems that follow this concept, and they just change the number of vertices, so i am pretty sure i want to understand the solution to the problem.

if you can help me, that would be great, thanks! :)

Full text and comments »

  • Vote: I like it
  • +5
  • Vote: I do not like it

By ArepitaDePernil, 9 years ago, In English

Hello i have been thinking on this question for quite a while, but i can't find the answer. As i have read in many forums it is possible to solve the maximum-subarray-sum problem (usually solved by Kadane's algorithm) using Segment Trees, then obviously the question came by, is it possible to solve the maximum-submatrix-sum problem using Segment Trees? , i think it should be faster than the O(N^3) adapted Kadane's algorithm.

:) just a question trying to learn more

Full text and comments »